Bug 1010410 - Bluetooth Mouse Inoperative After Wake From Sleep with 3.11.1-200.fc19.x86_64
Bluetooth Mouse Inoperative After Wake From Sleep with 3.11.1-200.fc19.x86_64
Status: CLOSED DUPLICATE of bug 988481
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 13:41 EDT by Garry T. Williams
Modified: 2013-12-01 07:36 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 07:36:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2013-09-20 13:41:23 EDT
Description of problem:
The Bluetooth mouse is inoperative after waking from sleep from lid close on XPS-13 laptop with kernel 3.11.1-200.fc19.x86_64.

This is a regression from kernel 3.10.9-200.fc19.x86_64, which worked fine.


Version-Release number of selected component (if applicable): 3.11.1-200.fc19.x86_64


How reproducible: always.


Steps to Reproduce:
1.  Close lid and wait for sleep mode to complete.
2.  Open lid.
3.

Actual results: Mouse doesn't work


Expected results: Mouse should work


Additional info:
garry@tfr$ sudo lspci -v
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
        Subsystem: Dell Device 058b
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 058b
        Flags: bus master, fast devsel, latency 0, IRQ 42
        Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 2000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915

00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04) (prog-if 30 [XHCI])
        Subsystem: Dell Device 058b
        Flags: bus master, medium devsel, latency 0, IRQ 41
        Memory at d0500000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [70] Power Management version 2
        Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
        Kernel driver in use: xhci_hcd

00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
        Subsystem: Dell Device 058b
        Flags: bus master, fast devsel, latency 0, IRQ 11
        Memory at d0515000 (64-bit, non-prefetchable) [size=16]
        Capabilities: [50] Power Management version 3
        Capabilities: [8c] MSI: Enable- Count=1/1 Maskable- 64bit+

00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04) (prog-if 20 [EHCI])
        Subsystem: Dell Device 058b
        Flags: bus master, medium devsel, latency 0, IRQ 16
        Memory at d051a000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCI Advanced Features
        Kernel driver in use: ehci-pci

00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
        Subsystem: Dell Device 058b
        Flags: bus master, fast devsel, latency 0, IRQ 43
        Memory at d0510000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Root Complex Link
        Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Memory behind bridge: d0400000-d04fffff
        Capabilities: [40] Express Root Port (Slot+), MSI 00
        Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
        Capabilities: [90] Subsystem: Dell Device 058b
        Capabilities: [a0] Power Management version 2
        Kernel driver in use: pcieport

00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04) (prog-if 20 [EHCI])
        Subsystem: Dell Device 058b
        Flags: bus master, medium devsel, latency 0, IRQ 23
        Memory at d0519000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCI Advanced Features
        Kernel driver in use: ehci-pci

00:1f.0 ISA bridge: Intel Corporation QS77 Express Chipset LPC Controller (rev 04)
        Subsystem: Dell Device 058b
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information: Len=0c <?>
        Kernel driver in use: lpc_ich

00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04) (prog-if 01 [AHCI 1.0])
        Subsystem: Dell Device 058b
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 40
        I/O ports at 2098 [size=8]
        I/O ports at 20bc [size=4]
        I/O ports at 2090 [size=8]
        I/O ports at 20b8 [size=4]
        I/O ports at 2060 [size=32]
        Memory at d0518000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [70] Power Management version 3
        Capabilities: [a8] SATA HBA v1.0
        Capabilities: [b0] PCI Advanced Features
        Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
        Subsystem: Dell Device 058b
        Flags: medium devsel, IRQ 18
        Memory at d0514000 (64-bit, non-prefetchable) [size=256]
        I/O ports at efa0 [size=32]

01:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)
        Subsystem: Intel Corporation Centrino Advanced-N 6235 AGN
        Flags: bus master, fast devsel, latency 0, IRQ 44
        Memory at d0400000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number b4-b6-76-ff-ff-2a-c7-18
        Kernel driver in use: iwlwifi

Log of failure
==============

Boot
----
[    4.247680] Bluetooth: Core ver 2.16
[    4.247787] NET: Registered protocol family 31
[    4.247789] Bluetooth: HCI device and connection manager initialized
[    4.247795] Bluetooth: HCI socket layer initialized
[    4.247798] Bluetooth: L2CAP socket layer initialized
[    4.247803] Bluetooth: SCO socket layer initialized
[    4.256837] media: Linux media interface: v0.10
[    4.265094] alg: No test for crc32 (crc32-pclmul)
[    4.271041] cfg80211: Calling CRDA to update world regulatory domain
[    4.272314] usbcore: registered new interface driver btusb
...
[    4.653847] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    4.653850] Bluetooth: BNEP filters: protocol multicast
[    4.653858] Bluetooth: BNEP socket layer initialized
[    4.666634] Bluetooth: RFCOMM TTY layer initialized
[    4.666645] Bluetooth: RFCOMM socket layer initialized
[    4.666646] Bluetooth: RFCOMM ver 1.11
...
[   11.618721] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[   11.618732] Bluetooth: HIDP socket layer initialized
[   16.544220] hid-generic 0005:046D:B009.0001: unknown main item tag 0x0
[   16.544288] input: Logitech Bluetooth Mouse M555b as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:34/input12
[   16.545152] hid-generic 0005:046D:B009.0001: input,hidraw0: BLUETOOTH HID v4.19 Mouse [Logitech Bluetooth Mouse M555b] on b4:b6:76:2a:c7:1c

Wake (failure)
--------------
[  352.864867] PM: Syncing filesystems ... done.
[  352.877432] PM: Preparing system for mem sleep
[  352.877873] Freezing user space processes ... (elapsed 0.000 seconds) done.
[  352.878733] Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
[  352.879816] PM: Entering mem sleep
[  352.879861] Suspending console(s) (use no_console_suspend to debug)
[  352.880059] sd 0:0:0:0: [sda] Synchronizing SCSI cache
[  352.882560] sd 0:0:0:0: [sda] Stopping disk
[  354.282372] PM: suspend of devices complete after 1400.966 msecs
[  354.282507] PM: late suspend of devices complete after 0.132 msecs
[  354.293345] ehci-pci 0000:00:1d.0: System wakeup enabled by ACPI
[  354.304315] ehci-pci 0000:00:1a.0: System wakeup enabled by ACPI
[  354.315278] xhci_hcd 0000:00:14.0: System wakeup enabled by ACPI
[  354.326251] PM: noirq suspend of devices complete after 43.696 msecs
[  354.326495] ACPI: Preparing to enter system sleep state S3
[  354.327176] PM: Saving platform NVS memory
[  354.327575] Disabling non-boot CPUs ...
[  354.329140] smpboot: CPU 1 is now offline
[  354.329844] Broke affinity for irq 44
[  354.330869] smpboot: CPU 2 is now offline
[  354.331320] Broke affinity for irq 16
[  354.331329] Broke affinity for irq 23
[  354.331331] Broke affinity for irq 40
[  354.332348] smpboot: CPU 3 is now offline
[  354.333973] ACPI: Low-level resume complete
[  354.334022] PM: Restoring platform NVS memory
[  354.334458] CPU0: Thermal monitoring handled by SMI
[  354.334467] microcode: CPU0 sig=0x306a9, pf=0x10, revision=0x19
[  354.334496] Enabling non-boot CPUs ...
[  354.334533] smpboot: Booting Node 0 Processor 1 APIC 0x1
[  354.346407] CPU1: Thermal monitoring handled by SMI
[  354.348813] Intel pstate controlling: cpu 1
[  354.348896] microcode: CPU1 sig=0x306a9, pf=0x10, revision=0x17
[  354.349715] microcode: CPU1 updated to revision 0x19, date = 2013-06-13
[  354.349744] CPU1 is up
[  354.349760] smpboot: Booting Node 0 Processor 2 APIC 0x2
[  354.361422] CPU2: Thermal monitoring handled by SMI
[  354.363660] Intel pstate controlling: cpu 2
[  354.363716] microcode: CPU2 sig=0x306a9, pf=0x10, revision=0x17
[  354.364131] microcode: CPU2 updated to revision 0x19, date = 2013-06-13
[  354.364136] CPU2 is up
[  354.364150] smpboot: Booting Node 0 Processor 3 APIC 0x3
[  354.375731] CPU3: Thermal monitoring handled by SMI
[  354.377988] Intel pstate controlling: cpu 3
[  354.378042] microcode: CPU3 sig=0x306a9, pf=0x10, revision=0x19
[  354.378046] CPU3 is up
[  354.382444] ACPI: Waking up from system sleep state S3
[  354.408225] xhci_hcd 0000:00:14.0: System wakeup disabled by ACPI
[  354.419248] ehci-pci 0000:00:1a.0: System wakeup disabled by ACPI
[  354.441282] ehci-pci 0000:00:1d.0: System wakeup disabled by ACPI
[  354.464248] PM: noirq resume of devices complete after 77.391 msecs
[  354.464388] PM: early resume of devices complete after 0.107 msecs
[  354.464428] i915 0000:00:02.0: setting latency timer to 64
[  354.464455] xhci_hcd 0000:00:14.0: setting latency timer to 64
[  354.464624] ehci-pci 0000:00:1a.0: setting latency timer to 64
[  354.464771] snd_hda_intel 0000:00:1b.0: irq 43 for MSI/MSI-X
[  354.464848] ahci 0000:00:1f.2: setting latency timer to 64
[  354.464924] ehci-pci 0000:00:1d.0: setting latency timer to 64
[  354.572453] dpm_run_callback(): pnp_bus_resume+0x0/0x80 returns -19
[  354.572456] PM: Device 00:06 failed to resume: error -19
[  354.590389] tpm_tis 00:08: tpm_transmit: tpm_send: error -62
[  354.590392] tpm_tis 00:08: [Hardware Error]: TPM command timed out during continue self test
[  354.671646] usb 1-1.5: reset high-speed USB device number 3 using ehci-pci
[  354.703514] tpm_tis 00:08: tpm_transmit: tpm_send: error -62
[  354.703517] tpm_tis 00:08: [Hardware Error]: TPM command timed out during continue self test
[  354.769588] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[  354.772711] ata1.00: configured for UDMA/133
[  354.772836] sd 0:0:0:0: [sda] Starting disk
[  354.816594] tpm_tis 00:08: tpm_transmit: tpm_send: error -62
[  354.816597] tpm_tis 00:08: [Hardware Error]: TPM command timed out during continue self test
[  354.929691] tpm_tis 00:08: tpm_transmit: tpm_send: error -62
[  354.929693] tpm_tis 00:08: [Hardware Error]: TPM command timed out during continue self test
[  355.004830] usb 2-1.5: reset full-speed USB device number 3 using ehci-pci
[  355.063169] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input13
[  355.300441] PM: resume of devices complete after 835.177 msecs
[  355.300605] PM: Finishing wakeup.
[  355.300606] Restarting tasks ... done.
[  355.305828] video LNXVIDEO:00: Restoring backlight state
[  355.496348] iwlwifi 0000:01:00.0: L1 Enabled; Disabling L0S
[  355.503390] iwlwifi 0000:01:00.0: Radio type=0x2-0x1-0x0
[  355.588585] IPv6: ADDRCONF(NETDEV_UP): wlp1s0: link is not ready
[  355.738543] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[  361.377798] wlp1s0: authenticate with 00:0b:86:c2:63:70
[  361.380868] wlp1s0: send auth to 00:0b:86:c2:63:70 (try 1/3)
[  361.381593] wlp1s0: authenticated
[  361.381736] iwlwifi 0000:01:00.0 wlp1s0: disabling HT as WMM/QoS is not supported by the AP
[  361.381740] iwlwifi 0000:01:00.0 wlp1s0: disabling VHT as WMM/QoS is not supported by the AP
[  361.382453] wlp1s0: associate with 00:0b:86:c2:63:70 (try 1/3)
[  361.388678] wlp1s0: RX AssocResp from 00:0b:86:c2:63:70 (capab=0x411 status=0 aid=5)
[  361.391023] wlp1s0: associated
[  361.391046] IPv6: ADDRCONF(NETDEV_CHANGE): wlp1s0: link becomes ready

Old Kernel Log
==============

Boot
----
[    4.370233] usbcore: registered new interface driver btusb
...
[    4.770595] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    4.770596] Bluetooth: BNEP filters: protocol multicast
[    4.770604] Bluetooth: BNEP socket layer initialized
[    4.795656] Bluetooth: RFCOMM TTY layer initialized
[    4.795669] Bluetooth: RFCOMM socket layer initialized
[    4.795670] Bluetooth: RFCOMM ver 1.11
...
[   30.245637] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[   30.245649] Bluetooth: HIDP socket layer initialized
...
[   94.832525] hid-generic 0005:046D:B009.0001: unknown main item tag 0x0
[   94.832644] input: Logitech Bluetooth Mouse M555b as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:34/input12
[   94.834271] hid-generic 0005:046D:B009.0001: input,hidraw0: BLUETOOTH HID v4.19 Mouse [Logitech Bluetooth Mouse M555b] on b4:b6:76:2a:c7:1c

Wake (success)
--------------
[ 2134.553457] btusb 2-1.5:1.0: no reset_resume for driver btusb?
[ 2134.553460] btusb 2-1.5:1.1: no reset_resume for driver btusb?
[ 2134.668808] usb 1-1.5: reset high-speed USB device number 3 using ehci-pci
[ 2135.298037] PM: resume of devices complete after 1553.334 msecs
[ 2135.298783] PM: Finishing wakeup.
[ 2135.298785] Restarting tasks ... done.
[ 2135.327524] video LNXVIDEO:00: Restoring backlight state
[ 2135.338482] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[ 2135.353758] iwlwifi 0000:01:00.0: L1 Enabled; Disabling L0S
[ 2135.361608] iwlwifi 0000:01:00.0: Radio type=0x2-0x1-0x0
[ 2135.564401] IPv6: ADDRCONF(NETDEV_UP): wlp1s0: link is not ready
[ 2140.792980] wlp1s0: authenticate with 00:0b:86:c2:63:70
[ 2140.797599] wlp1s0: send auth to 00:0b:86:c2:63:70 (try 1/3)
[ 2140.869683] wlp1s0: authenticated
[ 2140.869878] iwlwifi 0000:01:00.0 wlp1s0: disabling HT as WMM/QoS is not supported by the AP
[ 2140.869882] iwlwifi 0000:01:00.0 wlp1s0: disabling VHT as WMM/QoS is not supported by the AP
[ 2140.870768] wlp1s0: associate with 00:0b:86:c2:63:70 (try 1/3)
[ 2140.884692] wlp1s0: RX AssocResp from 00:0b:86:c2:63:70 (capab=0x411 status=0 aid=4)
[ 2140.887667] wlp1s0: associated
[ 2140.887698] IPv6: ADDRCONF(NETDEV_CHANGE): wlp1s0: link becomes ready
[ 2147.333492] hid-generic 0005:046D:B009.0003: unknown main item tag 0x0
[ 2147.333562] input: Logitech Bluetooth Mouse M555b as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:34/input16
[ 2147.334178] hid-generic 0005:046D:B009.0003: input,hidraw0: BLUETOOTH HID v4.19 Mouse [Logitech Bluetooth Mouse M555b] on b4:b6:76:2a:c7:1c
Comment 1 Garry T. Williams 2013-10-05 09:37:36 EDT
Update to kernel-3.10.11-200.fc19.x86_64 did not fix the problem.  I continue to use 3.10.11-200.fc19.x86_64, which does not exhibit the problem.
Comment 2 Garry T. Williams 2013-10-05 09:39:54 EDT
Arg.  That update that fails to fix is: 3.11.2-201.fc19.x86_64.  Sorry for the typo.
Comment 3 George 2013-10-13 10:45:42 EDT
Hi,


I'm a casual Fedora user myself but I registered just to link here what appears to be the same bug, found on my archlinux install:
https://bbs.archlinux.org/viewtopic.php?pid=1336852

Hopefully it helps narrowing it down.


Regards,
G.
Comment 4 Roger Wells 2013-10-16 17:05:32 EDT
Also a Fedora user.
Same problem.  It appeared at kernel 3.11.
Same machine/hardware, Thinkpad X220, has run fedora 14, 16, 17, and 19 (up to 3.11) without this.
I use gnome3 openbox, and kde.  It is the same on all.
HTH
Comment 5 W.C. Epperson 2013-10-29 20:54:39 EDT
This generic problem (bluetooth mouse non-functional after suspend/resume) has occurred intermittently since about F14, likely for various reasons.

I most recently experienced it on update from kernel-3.10.13-101.fc18.x86_64 to kernel-3.11.4-101.fc18.x86_64.  A hack that had worked under a previous occurrence, switching to text console (ctrl-alt-f2) and back to graphical, did not work for this regression.

I've since updated to F19 and kernel-3.11.6-200.fc19.x86_64 with no resolution.  At this point, the only way I've found to regain use of the mouse is to toggle bluetooth off/on with the gnome bluetooth settings gui, put the mouse into discoverable mode, and turn the mouse connection back on in the gui.  If the mouse connection is showing as "on" but is not working upon resume, the only resolution I've found is to halt and power cycle the system.
Comment 6 Roger Wells 2013-10-29 21:08:38 EDT
My laptop, Thinkpad X220, has a switch that turns off both radios.  Toggle them off and back on and the BT mouse comes back.  I went through what is described in Comment 5 but this is quicker if it works for you.
Comment 7 W.C. Epperson 2013-10-29 21:35:31 EDT
Thanks, Roger, but this hp dv6-1030us has a touch switch for bluetooth hardware on/off that doesn't work under Fedora.
Comment 8 W.C. Epperson 2013-10-31 18:50:30 EDT
Very strange.  If I use the "Bluetooth Settings" popup, behavior is as above.  If I just toggle Bluetooth off and on using the top panel icon, then do the same with the mouse using the drill in from the same icon, I get the mouse back without having to go to discovery mode.  I can't find any doc on what difference there might be in what is done under the hood under that scenario as compared to the "Bluetooth Settings" popup scenario.

Gratuitous remarks:  we have serious issues with Gnome 3, dbus, and kernel regression testing, and I'd dearly love to have my bluetooth command line stuff back so I could hack my way through this.
Comment 9 W.C. Epperson 2013-10-31 18:53:49 EDT
Also:  I don't know what Gnome is calling on the lid "suspend" event, but it appears not to be pm-suspend, as the hooks aren't called and the pm-suspend.log does not get written.  Everything is just as broken with pm-suspend, but I can at least hack at the hooks for that.
Comment 10 W.C. Epperson 2013-11-30 18:26:02 EST
The problem persists at kernel 3.11.9-200.fc19.x86_64.  I've still not been able to figure out how to do command line replication of the toggling scenario in comment 8, so the awkward gui toggling remains the only workaround found.
Comment 11 Hans de Goede 2013-12-01 07:36:52 EST

*** This bug has been marked as a duplicate of bug 988481 ***

Note You need to log in before you can comment on or make changes to this bug.